Subject: Re: icons

From: [email-masked] (Richard M. Heiberger)
Date: Thu, 25 Feb 1999 02:11:48 -0500

I would like to see the icon choice happen at the user level.
A quick attempt at changing the icon showed that the unix-style switch
"-i" doesn't work and the alternative "-i myfavorite.ico" opens up an
emacs buffer witih myfavorite.ico in it.   Changing the shortcut for runemacs
(which seems to be the recommended way to start ntemacs) doesn't have an
effect on the emacs program itself.  I don't want to change the executable
emacs.exe.

I am in favor of the plan to
> We could link _all_ of the icons into emacs.exe (and runemacs.exe), and
> provide support for selecting the desired icon when Emacs is running.
and suggest the function name (set-frame-icon) --- yes, by frame --- in parallel
with, and using as precedent, the new command (set-frame-name)

Rich